Bug 1016945 - krb5-libs scriptlet error: sed: -e expression #1, char 1: unknown command: `|'
krb5-libs scriptlet error: sed: -e expression #1, char 1: unknown command: `|'
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
http://pkgs.fedoraproject.org/cgit/kr...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-08 22:16 EDT by Rex Dieter
Modified: 2014-08-27 08:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: krb5-1.11.3-24.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-27 08:31:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2013-10-08 22:16:24 EDT
Installing updates on a f20 box I see an error:

Cleanup: ...

sed: -e expression #1, char 1: unknown command: `|'
  Cleanup    : krb5-libs-1.11.3-9.fc20.x86_64

Seems to stem from the largish
%triggerun libs -- krb5-libs < 1.11.3-16
which contains the line:
sed -r '|^ default_ccache_name = DIR:/run/user/%%\{uid\}/krb5cc$|d' /etc/krb5.conf > "$tmpfile"

which indeed gives the error mentioned here, if I try running that by hand
Comment 1 Nalin Dahyabhai 2013-10-14 16:35:59 EDT
Thanks for catching this!
Comment 2 Branko Grubić 2014-08-27 07:22:48 EDT
I was going through the list of bugs I was interested in or reported/commented ... This one is fixed long time ago, not sure why it isn't closed, it is in package changelog, also from git:

"fix trigger's invocation of sed (#1016945)
- fix trigger scriptlet's invocation of sed (#1016945)"

This probably can be closed?
Comment 3 Rex Dieter 2014-08-27 08:31:12 EDT
agreed, closing

Note You need to log in before you can comment on or make changes to this bug.